## class Fl_Counter

### Class Hierarchy

    Fl_Valuator
       |
       +----Fl_Counter

### Include Files

    #include <FL/Fl_Counter.H>

### Description

The `Fl_Counter` widget is provided for forms compatibility. It controls a single floating point value.

### Methods

- Fl_Counter
- ~Fl_Counter
- lstep
- type

#### Fl_Counter::Fl_Counter(int x, int y, int w, int h, const char *label = 0)

Creates a new `Fl_Counter` widget using the given position, size, and label string. The default type is `FL_NORMAL_COUNTER`.

#### virtual Fl_Counter::~Fl_Counter()

Destroys the valuator.

#### double Fl_Counter::lstep() const

Set the increment for the double-arrow buttons. The default value is 1.0.

#### type(uchar)

Sets the type of counter:

- `FL_NORMAL_COUNTER` - Displays a counter with 4 arrow buttons.
- `FL_SIMPLE_COUNTER` - Displays a counter with only 2 arrow buttons.